com.ziclix.python.sql

## Class WarningEvent

- java.lang.Object
- - java.util.EventObject
  - - com.ziclix.python.sql.WarningEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class WarningEvent
      extends java.util.EventObject

  An event signalling the a SQLWarning was encountered while building results from a ResultSet.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WarningEvent(java.lang.Object source, java.sql.SQLWarning warning)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.sql.SQLWarning` | `getWarning()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WarningEvent

          public WarningEvent(java.lang.Object source,
                              java.sql.SQLWarning warning)

  - ### Method Detail

    - #### getWarning

          public java.sql.SQLWarning getWarning()

Jython homepage